# CameraDOFSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``CameraDOFSettings`(bpy_struct)

  Depth of Field settings

  `aperture_blades`

    Number of blades in aperture for polygonal bokeh (at least 3)

    Type: | int in [0, 16], default 0

  `aperture_fstop`

    F-Stop ratio (lower numbers give more defocus, higher numbers give a sharper image)

    Type: | float in [0, inf], default 2.8

  `aperture_ratio`

    Distortion to simulate anamorphic lens bokeh

    Type: | float in [0.01, inf], default 1.0

  `aperture_rotation`

    Rotation of blades in aperture

    Type: | float in [-3.14159, 3.14159], default 0.0

  `focus_distance`

    Distance to the focus point for depth of field

    Type: | float in [0, inf], default 10.0

  `focus_object`

    Use this object to define the depth of field focal point

    Type: | `Object`

  `use_dof`

    Use Depth of Field

    Type: | boolean, default False

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Camera.dof` |